GDB (xrefs)

Classes | Functions | Variables
cleanup_check Namespace Reference

## Classes
class | CheckerPass
class | Cleanup
class | CleanupChecker
class | Dummy
class | MasterCleanup

## Functions
def | log (msg, indent=0)
def | is_cleanup_type (return_type)
def | is_constructor (decl)
def | is_destructor (decl)
def | needs_special_treatment (decl)

## Variables
bool | want_raii_info = False
bool | logging = False
bool | show_cfg = False
| destructor_names = set(['do_cleanups', 'discard_cleanups'])
| special_names
| ps = CheckerPass(name = 'check-cleanups')

## Function Documentation

## ◆ is_cleanup_type()

def cleanup_check.is_cleanup_type | ( |  | return_type | ) |

Definition at line 32 of file cleanup_check.py.

Referenced by is_constructor().

## ◆ is_constructor()

def cleanup_check.is_constructor | ( |  | decl | ) |

Definition at line 41 of file cleanup_check.py.

References is_cleanup_type().

Referenced by c_type_print_base_struct_union(), gdb_mangle_name(), pascal_type_print_base(), and pascal_type_print_method_args().

## ◆ is_destructor()

def cleanup_check.is_destructor | ( |  | decl | ) |

Definition at line 47 of file cleanup_check.py.

Referenced by cleanup_check.CleanupChecker.check_cleanups(), gdb_mangle_name(), pascal_type_print_base(), and pascal_type_print_method_args().

## ◆ log()

def cleanup_check.log | ( |  | msg,
|  |  | indent = `0`
| ) |  |

Definition at line 26 of file cleanup_check.py.

Referenced by cleanup_check.CleanupChecker.compute_master(), cleanup_check.CheckerPass.execute(), handle_redirections(), cleanup_check.MasterCleanup.isempty(), cleanup_check.MasterCleanup.merge(), cleanup_check.MasterCleanup.note_assignment(), cleanup_check.MasterCleanup.pop(), cleanup_check.MasterCleanup.push(), cleanup_check.CleanupChecker.traverse_bbs(), cleanup_check.MasterCleanup.verify(), verify_gdbarch(), and xtensa_verify_config().

## ◆ needs_special_treatment()

def cleanup_check.needs_special_treatment | ( |  | decl | ) |

Definition at line 59 of file cleanup_check.py.

Referenced by cleanup_check.CleanupChecker.check_cleanups().

## Variable Documentation

## ◆ destructor_names

cleanup_check.destructor_names = set(['do_cleanups', 'discard_cleanups'])

Definition at line 45 of file cleanup_check.py.

## ◆ logging

bool cleanup_check.logging = False

Definition at line 23 of file cleanup_check.py.

## ◆ ps

cleanup_check.ps = CheckerPass(name = 'check-cleanups')

Definition at line 333 of file cleanup_check.py.

Referenced by _initialize_ppcobsd_nat(), bx_write_pc(), cleanup_pipe_state(), displaced_in_arm_mode(), end_msglist(), free_pipe_state(), gdb_fnprint(), gdb_fnwidth(), gdbpy_progspaces(), gdbscm_progspaces(), increase_expout_size(), maintenance_check_psymtabs(), maintenance_print_psymbols(), make_pipe_state(), mark_struct_expression(), parse(), parse_exp_in_context_1(), parse_number(), pipe_done_wait_handle(), pipe_wait_handle(), pipe_windows_close(), pipe_windows_fdopen(), pipe_windows_open(), pipe_windows_write(), psym_expand_symtabs_for_function(), psym_expand_symtabs_matching(), psym_find_last_source_symtab(), psym_find_pc_sect_compunit_symtab(), psym_lookup_symbol(), psym_map_matching_symbols(), psym_map_symbol_filenames(), psym_print_stats(), psymtab_to_fullname(), recursively_search_psymtabs(), remote_filesystem_is_local(), windowing_enabled(), write_dollar_variable(), write_exp_bitstring(), write_exp_elt(), write_exp_elt_block(), write_exp_elt_floatcst(), write_exp_elt_intern(), write_exp_elt_longcst(), write_exp_elt_msym(), write_exp_elt_objfile(), write_exp_elt_opcode(), write_exp_elt_sym(), write_exp_elt_type(), write_exp_msymbol(), write_exp_string(), write_exp_string_vector(), xtensa_frame_cache(), xtensa_push_dummy_call(), and xtensa_window_interrupt_frame_cache().

## ◆ show_cfg

bool cleanup_check.show_cfg = False

Definition at line 24 of file cleanup_check.py.

## ◆ special_names

cleanup_check.special_names

Initial value:
1 = set(['do_final_cleanups', 'discard_final_cleanups',
2 'save_cleanups', 'save_final_cleanups',
3 'restore_cleanups', 'restore_final_cleanups',
4 'exceptions_state_mc_init',
5 'make_my_cleanup2', 'make_final_cleanup', 'all_cleanups',
6 'save_my_cleanups', 'quit_target'])

Definition at line 52 of file cleanup_check.py.

## ◆ want_raii_info

bool cleanup_check.want_raii_info = False

Definition at line 21 of file cleanup_check.py.